Go to the latest version of this document.

# ``twisted`.`web`.`client`.`_StandardEndpointFactory``

class documentation

`class _StandardEndpointFactory: (source)`

Constructor: `_StandardEndpointFactory(reactor, contextFactory, connectTimeout, bindAddress)`

Implements interfaces: `twisted.web.iweb.IAgentEndpointFactory`

View In Hierarchy

Standard HTTP endpoint destinations - TCP for HTTP, TCP+TLS for HTTPS.

Method | `__init__` | No summary
Method | `endpointForURI` | Connect directly over TCP for `b'http'` scheme, and TLS for `b'https'`.
Instance Variable | `_bindAddress` | If not `None`, the address passed to `HostnameEndpoint` for specifying the local address to bind to.
Instance Variable | `_connectTimeout` | If not `None`, the timeout passed to `HostnameEndpoint` for specifying the connection timeout.
Instance Variable | `_policyForHTTPS` | A web context factory which will be used to create SSL context objects for any SSL connections the agent needs to make.
Instance Variable | `_reactor` | Undocumented

def __init__(self, reactor, contextFactory, connectTimeout, bindAddress): (source)

Parameters
reactor:see `HostnameEndpoint.__init__` for acceptable reactor types. | A provider to use to create endpoints.
contextFactory:`IPolicyForHTTPS`. | A factory for TLS contexts, to control the verification parameters of OpenSSL.
connectTimeout:`float` or `None` | The amount of time that this `Agent` will wait for the peer to accept a connection.
bindAddress:`bytes` or `None` | The local address for client sockets to bind to.

def endpointForURI(self, uri: `URI`) -> `IStreamClientEndpoint`: (source)
from `twisted.web.iweb.IAgentEndpointFactory`

Connect directly over TCP for `b'http'` scheme, and TLS for `b'https'`.

Parameters
uri:`URI` | `URI` to connect to.

Returns
`IStreamClientEndpoint` | Endpoint to connect to.

_bindAddress = (source)

If not `None`, the address passed to `HostnameEndpoint` for specifying the local address to bind to.

_connectTimeout = (source)

If not `None`, the timeout passed to `HostnameEndpoint` for specifying the connection timeout.

_policyForHTTPS = (source)

A web context factory which will be used to create SSL context objects for any SSL connections the agent needs to make.

_reactor = (source)

Undocumented